Send a template message with a document/PDF header.
Ideal for sending invoices, contracts, receipts, or any template that includes a downloadable document.
Cuerpo JSON
{
"phone": "{{phone}}",
"template_name": "invoice_template",
"template_language": "ar",
"components": {
"header": {
"type": "document",
"document": {
"link": "https://example.com/invoice.pdf",
"filename": "فاتورة_12345.pdf"
}
},
"body": [
"ORD-12345",
"500 ريال"
]
}
}Ejemplo de solicitud
curl -X POST "https://letsbot.net/api/v1/template/document" \
-H "Authorization: Bearer YOUR_LB_API_KEY" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"phone": "9665xxxxxxxx",
"template_name": "invoice_template",
"template_language": "ar",
"components": {
"header": {
"type": "document",
"document": {
"link": "https://example.com/invoice.pdf",
"filename": "فاتورة_12345.pdf"
}
},
"body": [
"ORD-12345",
"500 ريال"
]
}
}'
const response = await fetch("https://letsbot.net/api/v1/template/document", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_LB_API_KEY",
"Accept": "application/json",
"Content-Type": "application/json",
},
body: JSON.stringify({
"phone": "9665xxxxxxxx",
"template_name": "invoice_template",
"template_language": "ar",
"components": {
"header": {
"type": "document",
"document": {
"link": "https://example.com/invoice.pdf",
"filename": "فاتورة_12345.pdf"
}
},
"body": [
"ORD-12345",
"500 ريال"
]
}
}),
});
const data = await response.json();
console.log(data);
<?php
$ch = curl_init('https://letsbot.net/api/v1/template/document');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer YOUR_LB_API_KEY',
'Accept: application/json',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"phone": "9665xxxxxxxx",
"template_name": "invoice_template",
"template_language": "ar",
"components": {
"header": {
"type": "document",
"document": {
"link": "https://example.com/invoice.pdf",
"filename": "فاتورة_12345.pdf"
}
},
"body": [
"ORD-12345",
"500 ريال"
]
}
}
JSON,
]);
$data = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($data);
import requests
response = requests.request(
"POST",
"https://letsbot.net/api/v1/template/document",
headers={
"Authorization": "Bearer YOUR_LB_API_KEY",
"Accept": "application/json",
"Content-Type": "application/json",
},
json={
"phone": "9665xxxxxxxx",
"template_name": "invoice_template",
"template_language": "ar",
"components": {
"header": {
"type": "document",
"document": {
"link": "https://example.com/invoice.pdf",
"filename": "فاتورة_12345.pdf",
},
},
"body": [
"ORD-12345",
"500 ريال",
],
},
},
)
print(response.json())